# ifndef CIFSCLIENT_H
# define CIFSCLIENT_H

# include <QDialog>
# include <QProcess>
# include <QSignalMapper>
# include <QIcon>

# include "ui_cifsclient.h"

class cifsclient : public QDialog, public Ui::cifsclient
{
	Q_OBJECT

public:
	cifsclient(QWidget *parent = 0);

private slots:
	void smbclient_test();
	void cifs_test();
	void check_server_conf();

	void load_Shares();
	void mountButtonClicked(int tabellenzeile);

	void smbclientAusgabe();
	void smbclientProcBeendet(int exitCode, QProcess::ExitStatus exitStatus);

	void mountProcAusgabe();
	void mountProcBeendet(int exitCode, QProcess::ExitStatus exitStatus);

	void checkMounted();
	void checkMountedAusgabe();
	void checkMountedBeendet();

	void clear_tableWidget();
	void create_Sharelist();

	void send_touch();

	void closeEvent(QCloseEvent *event);

private:
	QSignalMapper *signalMapper;
	QProcess smbclient;
	QProcess mountProc;
	QProcess checkMountedProc;
	QProcess touchProc;
	QStringList smbclient_ausgabe;
	QString text_standard_output;
	QFont font;

	QString iconPathGreen;
	QString iconPathRed;
	QIcon green;
	QIcon red;

	QString current_mount_check;
	QString is_mounted;
	QString mountErrors;

	QStringList mountedShares;

};

# endif